<ion-header>
	<ion-toolbar color="tertiary">
		<ion-title translate>editer_profil</ion-title>
		<ion-buttons slot="end">
			<ion-menu-button></ion-menu-button>
		</ion-buttons>
		<ion-buttons slot="start">
			<ion-back-button color="light"></ion-back-button>
		</ion-buttons>
	</ion-toolbar>
</ion-header>
<ion-content class="profile">
	<ion-card no-margin>
		<ion-card-content class="bg-profile">
			<img src="assets/img/man-user.svg">
			<div *ngIf="this.isConnected">
				<!-- <h1 class="fw500">Ya Ami Gadji</h1> -->
				<div color="secondary" *ngIf="this.typeClient=='userClientParticulier' ">
					<h1 *ngIf="this.userPaConnected!=null"><strong>{{this.userPaConnected.prenom}}
							{{this.userPaConnected.nom}}</strong></h1>
				</div>
				<div color="secondary" *ngIf="this.typeClient=='userClientProfessionnel' ">
					<h1 *ngIf="this.userProConnected!=null"><strong> {{this.userProConnected.nom}}</strong></h1>
				</div>
				<div color="secondary" *ngIf="this.typeClient=='userClientProfessionnel' ">
					<h3 *ngIf="this.userProConnected!=null"><strong>Ninea: {{this.userProConnected.ninea}}</strong></h3>
				</div>
				<!-- FOr user Reseau -->
				<div color="secondary" *ngIf="this.typeClient=='userReseau' ">
					<h1 *ngIf="this.ClientReseau.client!=null"><strong>{{this.ClientReseau.client.prenom}}
							{{this.ClientReseau.client.nom}}</strong></h1>
				</div>
				<!-- End user Reseau -->
				<div color="secondary" *ngIf="this.typeClient=='userClientParticulier' ">
					<h3 translate>client_particulier</h3>
				</div>
				<div color="secondary" *ngIf="this.typeClient=='userClientProfessionnel' ">
					<h3 translate>client_professionnel</h3>
				</div>
			</div>
		</ion-card-content>

		<ion-grid fixed>
			<ion-row>
				<ion-col size="12">
					<app-refresher></app-refresher>

					<div class="container">
						<div class="headingContent">
							<p class="heading" translate>editer_profil</p>
						</div>
						<form [formGroup]='contacter' class="form">

							<div class="inputBlock">
								<p class="question" translate *ngIf="typeClient =='userClientParticulier'" translate>nom</p>
								<p class="question" translate *ngIf="typeClient == 'userClientProfessionnel'" translate>nom_chose</p>
								<div class="itemInput"
									[ngClass]="formInvalid && contacter.get('nom').hasError('required')?'writeError':''">
									<ion-input [(ngModel)]="typeClient == 'userClientProfessionnel'? userProConnected.nom : userPaConnected.nom" type="text" formControlName="nom"
										minlength="2" required></ion-input>
								</div>
								<p ion-text color="danger" class="text08"
									*ngIf="formInvalid && contacter.get('nom').hasError('required')">
									<ion-text color="danger" translate>
										champ_obligatoire
									</ion-text>
								</p>
								<p ion-text color="danger" class="text08"
									*ngIf="(formInvalid && contacter.get('nom').hasError('minlength')) || contacter.get('nom').hasError('minlength')">
									<ion-text color="danger" translate>
										nom_court
									</ion-text>
								</p>
							</div>
							<div class="inputBlock" *ngIf="this.typeClient == 'userClientParticulier'">
								<p class="question" translate>prenom</p>
								<div class="itemInput"
									[ngClass]="formInvalid && contacter.get('prenom').hasError('required')?'writeError':''">
									<ion-input [(ngModel)]="userPaConnected.prenom" type="text" formControlName="prenom"
										minlength="2" show-hide-input required></ion-input>
								</div>
								<p ion-text color="danger" class="text08"
									*ngIf="formInvalid && contacter.get('prenom').hasError('required')">
									<ion-text color="danger" translate>
										champ_obligatoire
									</ion-text>
								</p>
								<p ion-text color="danger" class="text08"
									*ngIf="(formInvalid && contacter.get('prenom').hasError('minlength')) || contacter.get('prenom').hasError('minlength')">
									<ion-text color="danger" translate>
										prenom_court
									</ion-text>
								</p>
							</div>
							<div class="inputBlock" *ngIf="this.typeClient == 'userClientProfessionnel'">
								<p class="question" translate>ninea</p>
								<div class="itemInput"
									[ngClass]="formInvalid && contacter.get('ninea').hasError('required')?'writeError':''">
									<ion-input [(ngModel)]="userProConnected.ninea" type="text" formControlName="ninea"
										minlength="2" show-hide-input required></ion-input>
								</div>
								<p ion-text color="danger" class="text08"
									*ngIf="formInvalid && contacter.get('ninea').hasError('required')">
									<ion-text color="danger" translate>
										champ_obligatoire
									</ion-text>
								</p>
								<p ion-text color="danger" class="text08"
									*ngIf="(formInvalid && contacter.get('ninea').hasError('minlength')) || contacter.get('ninea').hasError('minlength')">
									<ion-text color="danger" translate>
										prenom_court
									</ion-text>
								</p>
							</div>
							<div class="inputBlock">
								<p class="question" translate>email</p>
								<div class="itemInput"
									[ngClass]="formInvalid && (contacter.get('email').hasError('required') || contacter.get('email').hasError('email'))?'writeError':''">
									<ion-input [(ngModel)]="typeClient == 'userClientProfessionnel'? userProConnected.email : userPaConnected.email" type="email" formControlName="email"
										show-hide-input required></ion-input>
								</div>
								<p ion-text color="danger" class="text08"
									*ngIf="formInvalid && contacter.get('email').hasError('required')">
									<ion-text color="danger" translate>
										champ_obligatoire
									</ion-text>
								</p>
								<p ion-text color="danger" class="text08"
									*ngIf="(formInvalid && contacter.get('email').hasError('email')) || contacter.get('email').hasError('email')">
									<ion-text color="danger" translate>
										email_non_valide
									</ion-text>
								</p>
							</div>
							<div class="inputBlock">
								<p class="question" translate>adresse</p>
								<div class="itemInput inputTextarea" [ngClass]="formInvalid && contacter.get('adresse').hasError('required')?'itemError':''">
				
									<ion-textarea placeholder="Entrer votre adresse" [(ngModel)]="typeClient == 'userClientProfessionnel'? userProConnected.adresse : userPaConnected.adresse" type="text" formControlName="adresse"></ion-textarea>
								</div>
								<p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('adresse').hasError('required')">
									<ion-text color="danger" translate>
										champ_obligatoire
									</ion-text>
								</p>
							</div>
							
							<div class="inputs">
								<div class="inputBlock">
									<p class="question" translate>pays</p>
									<div class="itemInput" (ionChange)="chargerRegionsduPays()" [ngClass]="formInvalid && contacter.get('pays').hasError('required')?'itemError':''">
										<ion-select [selectedText]="typeClient == 'userClientProfessionnel'? userProConnected.pays.nom : userPaConnected.pays.nom" [(ngModel)]="typeClient == 'userClientProfessionnel'? userProConnected.pays : userPaConnected.pays" [compareWith]=cw #pays formControlName="pays" placeholder="Selectionner votre pays" multiple="false">
											<ion-select-option *ngFor="let pays of allPays" [value]="pays">{{pays.nom}}</ion-select-option>
				
										</ion-select>
									</div>
									<p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('pays').hasError('required')">
										<ion-text color="danger" translate>
											champ_obligatoire
										</ion-text>
									</p>
								</div>
								<div class="inputBlock">
									<p class="question" translate>ville</p>
									<div class="itemInput" [ngClass]="formInvalid && contacter.get('ville').hasError('required')?'itemError':''">
										<ion-select [selectedText]="typeClient == 'userClientProfessionnel'? userProConnected.ville.nom : userPaConnected.ville.nom" [(ngModel)]="typeClient == 'userClientProfessionnel'? userProConnected.ville : userPaConnected.ville" #selectRegion [compareWith]=cw formControlName="ville" placeholder="Selectionner votre région">
											<ion-select-option *ngFor="let region of allRegions" [value]="region">{{region.nom}}</ion-select-option>
				
										</ion-select>
									</div>
									<p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('ville').hasError('required')">
										<ion-text color="danger" translate>
											champ_obligatoire
										</ion-text>
									</p>
				
								</div>
							</div>
							<div class="bottomBlock">
								<ion-button icon-left size="large" shape="round" color="primary"
									(click)="onSubmitForm()" translate>
									envoyer
								</ion-button>
							</div>
						</form>
					</div>
				</ion-col>
			</ion-row>
		</ion-grid>
	</ion-card>
</ion-content>